<table mat-table [dataSource]="dataSource" class="mat-elevation-z8" cdkDrag>
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>ID.</th>
    <td mat-cell *matCellDef="let element">{{ element.id }}</td>
  </ng-container>
  <ng-container matColumnDef="subject">
    <th mat-header-cell *matHeaderCellDef>Subject.</th>
    <td mat-cell *matCellDef="let element">{{ element.subject.name }}</td>
  </ng-container>
  <ng-container matColumnDef="question">
    <th mat-header-cell *matHeaderCellDef>question</th>
    <td mat-cell *matCellDef="let element">{{ element.question }}</td>
  </ng-container>
  <ng-container matColumnDef="answers1">
    <th mat-header-cell *matHeaderCellDef>answers1</th>
    <td mat-cell *matCellDef="let element">{{ element.answers1 }}</td>
  </ng-container>
  <ng-container matColumnDef="answers2">
    <th mat-header-cell *matHeaderCellDef>answers2</th>
    <td mat-cell *matCellDef="let element">{{ element.answers2 }}</td>
  </ng-container>

  <ng-container matColumnDef="answers3">
    <th mat-header-cell *matHeaderCellDef>answers3</th>
    <td mat-cell *matCellDef="let element">{{ element.answers3 }}</td>
  </ng-container>
  <ng-container matColumnDef="answers4">
    <th mat-header-cell *matHeaderCellDef>answers4</th>
    <td mat-cell *matCellDef="let element">{{ element.answers4 }}</td>
  </ng-container>
  <ng-container matColumnDef="correctIndex">
    <th mat-header-cell *matHeaderCellDef>correctIndex</th>
    <td mat-cell *matCellDef="let element">{{ element.correctIndex }}</td>
  </ng-container>
  <ng-container matColumnDef="edit">
    <th mat-header-cell *matHeaderCellDef>edit</th>
    <td mat-cell *matCellDef="let element; let i = index;">
      <button
        mat-icon-button
        routerLink="../edit/{{ element.id }}"
      >
        <mat-icon>edit</mat-icon>
      </button>
      <button
        mat-icon-button
        (click)="delQuestion(element.id)"
      >
        <mat-icon>delete_outline</mat-icon>
      </button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
</table>
